config/routes.rb
Rails.application.routes.draw do
  root 'movies#index'
  
  devise_for :users, controllers: { registrations: "users/registrations" }
  
  resources :movies

  resources :celeb_users, only: [:show, :new, :create, :edit, :update, :destroy] do
    collection do
      get :actors
      get :producers
      get :directors
    end
  end

  # version 1
  api_version(:module => "V1", :path => {:value => "v1"}, :defaults => {:format => :json}) do

    mount_devise_token_auth_for 'User', at: 'users', controllers: { registrations: 'v1/users/registrations' }

    resources :movies

    resources :celeb_users, only: [:show, :new, :create, :edit, :update, :destroy] do
      collection do
        get :actors
        get :producers
        get :directors
      end
    end
  end
end

app/views/layouts/_nav_bar.html.haml
%nav.navbar.navbar-default.navbar-fixed-top
  #bs-example-navbar-collapse-1.collapse.navbar-collapse
    %ul.nav.navbar-nav.navbar-right
      - if current_user
        %li= current_user.full_name         
        %li
          %a.dropdown-item{"data-method" => "delete", :href => destroy_user_session_path, :rel => "nofollow"}
            %i.fa.fa-sign-out
            Logout
      - else
        %li= link_to "Login", new_user_session_path
        %li= link_to "Sign up", new_user_registration_path
      %li= link_to "All Movies", movies_url
      %li= link_to "All Actors", actors_celeb_users_url
      %li= link_to "All Producers", producers_celeb_users_url
      %li= link_to "All Directors", directors_celeb_users_url

app/views/layouts/application.html.haml
!!!
%html
  %head
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %title Itcrowdtest
    = csrf_meta_tags
    = csp_meta_tag
    = stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload'
    = javascript_include_tag 'application', 'data-turbolinks-track': 'reload'
  %body
    = render 'layouts/nav_bar'
    .container
      .col-xs-12
        - if flash[:notice]
          .flash-message.alert.alert-success
            %span.glyphicon.glyphicon-ok
            %span
              = flash[:notice]
        - if flash[:alert]
          .flash-message.alert.alert-danger
            %span.glyphicon.glyphicon-exclamation-sign{"aria-hidden" => "true"}
            %span
              = flash[:alert]
        = yield